Subject: RE: Trouble with Unusual File Names in Dired Mode (fwd)

From: [email-masked] (David S. Rosinger)
Date: Mon, 21 Oct 96 9:16:56 EDT

Forwarded message:
>From [email-masked]  Thu Oct 17 12:31:34 1996
Message-Id: <c=US%a=_%p=msft%l=[email-masked]>
From: Eric Hanchrow <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Subject: RE: Trouble with Unusual File Names in Dired Mode
Date: Thu, 17 Oct 1996 09:31:34 -0700
X-Mailer:  Microsoft Exchange Server Internet Mail Connector Version 4.0.994.24
Encoding: 76 TEXT

Yup.  I noticed this too, and made a fix on my system that seems to
work.  I sent the fix in to the FSF, and I hope they include it in later
versions.

Here's the fix (it's a one-liner);

        --- ls-lisp.el        Tue Oct 08 20:41:26 1996
        +++ experimental-ls-lisp.el        Tue Oct 08 21:23:14 1996
        @@ -121,7 +121,15 @@
                            (function
                             (lambda (x)
        -                       ;; file-attributes("~bogus") bombs
        -                      (cons x (file-attributes
(expand-file-name x)))))
        +                      (cons x (file-attributes x))))
                            ;; inserting the call to directory-files
right here
                            ;; seems to stimulate an Emacs bug
                            ;; ILLEGAL DATATYPE (#o37777777727) or #o67

Note that this fix takes care of the problem involving files whose names
begin with a tilde; I doubt it'll fix the problem with the buffer whose
name begins with an asterisk.  You should report both problems to
[email-masked].

>-----Original Message-----
>From:	[email-masked]
>[SMTP:[email-masked]]
>Sent:	Thursday, October 17, 1996 08:19 AM
>To:	[email-masked]
>Subject:	Trouble with Unusual File Names in Dired Mode
>
>BACKGROUND
>
>    I've just noticed some trouble with the handling of
>    certain files in Dired.  If the first character
>    of the filename is `~' or `*', some unusual
>    things happen.
>
>EXAMPLE #1
>
>    For example, suppose I create a file (with `notepad')
>    and name it `~junk.txt'.
>
>    1. Initially, the file does not show up in Dired.
>
>    2. If I run an Emacs shell, and then I refresh the Dired buffer,
>       the file suddenly shows up in Dired.
>
>    3. If I create a new buffer and name it `~junk2.txt',
>       the path attached to that buffer is in *another*
>       directory.
>
>EXAMPLE #2
>
>    Here's another related problem:
>
>    4. If I create a new buffer and name it `*junk.txt',
>       I cannot save it.
>
>SUMMARY
>
>    I am running version 19.33.1 as distributed from the
>    NT Emacs site on Windows NT 4.0 on a FAT file system.
>    Can anyone confirm this behavior and tell me if it is
>    unique to NT/95?
>
>    Andrew (Innes), is this issue possibly related to the
>    work you recently did to handle long file names?
>
>-- 
>+------------------------------------------------+
>| David S. Rosinger         /  [email-masked] |
>| Intergraph Corporation   /   (703) 264-5737    |
>+------------------------------------------------+

-- 
+------------------------------------------------+
| David S. Rosinger         /  [email-masked] |
| Intergraph Corporation   /   (703) 264-5737    |
+------------------------------------------------+